
body::before {
  content: "";
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  
  background: 
    radial-gradient(circle at center, #0c1c3a 0%, #050a1a 100%);
    
  z-index: -1;
}

html, body {
  font-family: "Roc Grotesk", sans-serif;
  font-weight: 500;
}
footer {
  font-size: .5rem;
  opacity: 0.8;
}
header {
  margin-top: 10vh;
  display: flex;
  justify-content: center;
}
article {
  margin-top: -40vh;
  display: flex;
  justify-content: center;
}
.character-left, 
.character-right {
  position: fixed;
  bottom: 0;
  width: 25%; 
  height: auto;
  z-index: 1;         
}
.character-left {
  left: 5%;
}

.character-right {
  right: 5%;
}

header, article {
  text-shadow: 0 10px 10px rgba(0,0,0,0.7);
}


.top-banner {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  padding: 10px;
  text-align: center;
  background: #020b18;
  color: rgb(248, 255, 234);
  font-family: 'Space Grotesk', sans-serif;
  font-size: 0.6rem;
  z-index: 9999;
}

.logo {
  width: 40%;
    animation: floatY 4s ease-in-out infinite;
}

.dots {
  display: inline-block;
  width: 1.5em; 
  text-align: left;
}

.dots::after {
  content: "";
  animation: loadingDots 1s steps(4, end) infinite;
}

.contact-btn {
  position: fixed;
  bottom: 25vh;          
  left: 50%;
  transform: translateX(-50%); 

  padding: 0.4rem 2rem;
  border: 2px solid white;
  border-radius: 6px;  
  
  text-decoration: none;
  text-align: center;
  
  background: rgba(255,255,255,0.05);
  backdrop-filter: blur(5px);

  transition: 0.3s;
}

@media (max-width: 768px) {

  header {
    margin-top: 15vh;
  }

  article {
    margin-top: -30rem;
    padding: 5rem;
    font-size: 3rem;
  }

  .top-banner {
    font-size: 2rem;
  }

  .logo {
    width: 80%;
  }

  .character-left, 
.character-right {
  width: 50%     
}
.character-right {
  right: -5%;
}

  footer {
    font-size: 1.5rem;
  }
  body::before {
    background: 
    radial-gradient(circle at center, #0c1c3a 0%, #050a1a 100%);
  }
  .contact-btn {
    font-size: 4rem;
  }
}

@keyframes loadingDots {
  0%   { content: ""; }
  25%  { content: "."; }
  50%  { content: ".."; }
  75%  { content: "..."; }
  100% { content: ""; }
}

@keyframes floatY {
  0%   { transform: translateY(0); }
  50%  { transform: translateY(-10px); }
  100% { transform: translateY(0); }
}